Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.transport.impl.apache
Class UpnpHttpRequestFactory

    java.lang.Object
      org.apache.http.impl.DefaultHttpRequestFactory
          org.teleal.cling.transport.impl.apache.UpnpHttpRequestFactory

All Implemented Interfaces:
  org.apache.http.HttpRequestFactory

    public class UpnpHttpRequestFactory

extends org.apache.http.impl.DefaultHttpRequestFactory

This is how you add new HTTP methods to Apache HTTP Components.

Yes, Oleg dude, make stuff private! Good idea!

Author:
  Christian Bauer

Constructor Summary
`UpnpHttpRequestFactory()`

Method Summary
`org.apache.http.HttpRequest` | `newHttpRequest(org.apache.http.RequestLine requestline)`
`org.apache.http.HttpRequest` | `newHttpRequest(String method, String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpnpHttpRequestFactory

    public UpnpHttpRequestFactory()

Method Detail

### newHttpRequest

    public org.apache.http.HttpRequest newHttpRequest(org.apache.http.RequestLine requestline)
                                               throws org.apache.http.MethodNotSupportedException

  Specified by:
    `newHttpRequest` in interface `org.apache.http.HttpRequestFactory`
  Overrides:
    `newHttpRequest` in class `org.apache.http.impl.DefaultHttpRequestFactory`
  Throws:
    `org.apache.http.MethodNotSupportedException`

### newHttpRequest

    public org.apache.http.HttpRequest newHttpRequest(String method,
                                                      String uri)
                                               throws org.apache.http.MethodNotSupportedException

  Specified by:
    `newHttpRequest` in interface `org.apache.http.HttpRequestFactory`
  Overrides:
    `newHttpRequest` in class `org.apache.http.impl.DefaultHttpRequestFactory`
  Throws:
    `org.apache.http.MethodNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.